<?php
defined('_IN_JOHNCMS') or die('Error: restricted access');

if (!$user_id) {
       echo '<div class="phdr"><center>Izoh bildirish</center></div>';
       echo '<div class="menu">Barcha izohlar: <b>' . $res['count_comments'] . '</b></div>';
echo '<div class="menu"><center>Izoh  qoldirish va qoldirilgan izohlarni o\'qish uchun saytga  foydalanuvchi sifatida tashrif buyuring.<br>[ <a href="/registration.php">Ro\'yhatdan o\'tish</a> | ';
echo '<a href="/login.php">Kirish</a> ]</center></div>'; 

    require_once('../incfiles/end.php');
    exit;
}

// Проверяем наличие комментируемого объекта
$req_obj = mysql_query("SELECT * FROM `library_texts` WHERE `id`=" . $id);

if (mysql_num_rows($req_obj)) {
    $res_obj = mysql_fetch_assoc($req_obj);

    if (!$res_obj['comments']) {
        echo functions::display_error($lng['access_forbidden']);
        require('../incfiles/end.php');
        exit;
    }

    $obj = new Hashtags($id);
    $catalog = mysql_fetch_assoc(mysql_query("SELECT `id`, `name` FROM `library_cats` WHERE `id`=" . $res_obj['cat_id'] . " LIMIT 1"));
    $context_top =
        '<div class="phdr"><center>Izoh bildirish</center></div>' .
'<div class="sub">Barcha izohlar: <b>' . $res['count_comments'] . '</b></div>' .
        '</div></div>';

    $arg = array(
        'comments_table' => 'cms_library_comments',  // Таблица с комментариями
        'object_table'   => 'library_texts',         // Таблица комментируемых объектов
        'script'         => '?act=comments',         // Имя скрипта (с параметрами вызова)
        'sub_id_name'    => 'id',                    // Имя идентификатора комментируемого объекта
        'sub_id'         => $id,                     // Идентификатор комментируемого объекта
        'owner'          => $res_obj['uploader_id'], // Владелец объекта (ID того юзера, который может управлять каментами, если разрешено ниже)
        'owner_delete'   => true,                    // Возможность владельцу удалять комментарий
        'owner_reply'    => true,                    // Возможность владельцу отвечать на комментарий
        'owner_edit'     => false,                   // Возможность владельцу редактировать комментарий
        'title'          => $lng['comments'],        // Название раздела
        'context_top'    => $context_top,            // Выводится вверху списка
    );
    $comm = new comments($arg);

    if ($comm->added) {
        mysql_query("UPDATE `library_texts` SET `count_comments`=" . ($res_obj['count_comments'] > 0 ? ++$res_obj['count_comments'] : 1) . " WHERE `id`=" . $id);
    }
} else {
    echo functions::display_error($lng['error_wrong_data']);
}